From e7dab36b548a5aaa9825e873b836d3d065648cbc Mon Sep 17 00:00:00 2001
From: Callan Barrett <wizzomafizzo@gmail.com>
Date: Thu, 5 Jun 2008 17:21:00 +0800
Subject: [PATCH] Bring back sort by search

Put back sort by option in search to keep options that can't be
in column headers

Signed-off-by: Callan Barrett <wizzomafizzo@gmail.com>
---
 web/lib/pkgfuncs.inc |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 48 insertions(+), 0 deletions(-)

diff --git a/web/lib/pkgfuncs.inc b/web/lib/pkgfuncs.inc
index ecfe4bf..f557e8c 100644
--- a/web/lib/pkgfuncs.inc
+++ b/web/lib/pkgfuncs.inc
@@ -744,6 +744,54 @@ function pkg_search_page($SID="") {
 
     print "  </select>\n";
     print "</td>\n";
+    
+    print "<td align='right'>\n";
+  	print "  <span class='f5'><span class='blue'>".__("Sort by");
+  	print "</span></span><br />\n";
+  	print "  <select name='SB'>\n";
+
+  	print "  <option value=n";
+  	$_REQUEST["SB"] == "n" ? print " selected> " : print "> ";
+  	print __("Name")."</option>\n";
+
+  	print "  <option value=c";
+  	$_REQUEST["SB"] == "c" ? print " selected> " : print "> ";
+  	print __("Category")."</option>\n";
+
+  	print "  <option value=l";
+  	$_REQUEST["SB"] == "l" ? print " selected> " : print "> ";
+  	print __("Location")."</option>\n";
+
+  	print "  <option value=v";
+  	$_REQUEST["SB"] == "v" ? print " selected> " : print "> ";
+  	print __("Votes")."</option>\n";
+
+  	print "  <option value=m";
+  	$_REQUEST["SB"] == "m" ? print " selected> " : print "> ";
+  	print __("Maintainer")."</option>\n";
+
+  	print "  <option value=a";
+  	$_REQUEST["SB"] == "a" ? print " selected> " : print "> ";
+  	print __("Age")."</option>\n";
+
+  	print "  </select>\n";
+  	print "</td>\n";
+
+  	print "<td align='right'>\n";
+  	print "  <span class='f5'><span class='blue'>".__("Sort order");
+  	print "</span></span><br />\n";
+  	print "  <select name='SO'>\n";
+
+  	print "  <option value=a";
+  	$_REQUEST["SO"] == "a" ? print " selected> " : print "> ";
+  	print __("Ascending")."</option>\n";
+
+  	print "  <option value=d";
+  	$_REQUEST["SO"] == "d" ? print " selected> " : print "> ";
+  	print __("Descending")."</option>\n";
+
+  	print "  </select>\n";
+  	print "</td>\n";
 
     print "<td align='right'>\n";
     print "  <span class='f5'><span class='blue'>".__("Per page");
-- 
1.5.3.8

